org.yaml.snakeyaml.constructor

## Class Constructor

- java.lang.Object
- - org.yaml.snakeyaml.constructor.BaseConstructor
  - - org.yaml.snakeyaml.constructor.SafeConstructor
    - - org.yaml.snakeyaml.constructor.Constructor

Direct Known Subclasses:
  CompactConstructor, CustomClassLoaderConstructor, EnvScalarConstructor

    public class Constructor
    extends SafeConstructor

Construct a custom Java instance.

### Nested Class Summary

Nested Classes
`protected class` `Constructor.ConstructMapping` Construct mapping instance (Map, JavaBean) when the runtime class is known.
`protected class` `Constructor.ConstructScalar` Construct scalar instance when the runtime class is known.
`protected class` `Constructor.ConstructSequence` Construct sequence (List, Array, or immutable object) when the runtime class is known.
`protected class` `Constructor.ConstructYamlObject` Construct an instance when the runtime class is not known but a global tag with a class name is defined.

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`SafeConstructor.ConstructUndefined, SafeConstructor.ConstructYamlBinary, SafeConstructor.ConstructYamlBool, SafeConstructor.ConstructYamlFloat, SafeConstructor.ConstructYamlInt, SafeConstructor.ConstructYamlMap, SafeConstructor.ConstructYamlNull, SafeConstructor.ConstructYamlOmap, SafeConstructor.ConstructYamlPairs, SafeConstructor.ConstructYamlSeq, SafeConstructor.ConstructYamlSet, SafeConstructor.ConstructYamlStr, SafeConstructor.ConstructYamlTimestamp`

### Field Summary

### Fields inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`undefinedConstructor`

### Fields inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`composer, loadingConfig, rootTag, typeDefinitions, typeTags, yamlClassConstructors, yamlConstructors, yamlMultiConstructors`

### Constructor Summary

Constructors
Constructor and Description
`Constructor()`
`Constructor(Class<? extends Object> theRoot)` Create Constructor for the specified class as the root.
`Constructor(Class<? extends Object> theRoot, LoaderOptions loadingConfig)`
`Constructor(LoaderOptions loadingConfig)`
`Constructor(String theRoot)` Create Constructor for a class which does not have to be in the classpath or for a definition from a Spring ApplicationContext.
`Constructor(String theRoot, LoaderOptions loadingConfig)`
`Constructor(TypeDescription theRoot)`
`Constructor(TypeDescription theRoot, Collection<TypeDescription> moreTDs)`
`Constructor(TypeDescription theRoot, Collection<TypeDescription> moreTDs, LoaderOptions loadingConfig)`
`Constructor(TypeDescription theRoot, LoaderOptions loadingConfig)`

### Method Summary

Methods
`protected Class<?>` `getClassForName(String name)`
`protected Class<?>` `getClassForNode(Node node)`

### Methods inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`constructMapping2ndStep, constructSet2ndStep, createLongOrBigInteger, flattenMapping, processDuplicateKeys`

### Methods inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`addTypeDescription, checkData, constructArray, constructArrayStep2, constructDocument, constructMapping, constructObject, constructObjectNoCheck, constructScalar, constructSequence, constructSequenceStep2, constructSet, constructSet, createArray, createDefaultList, createDefaultMap, createDefaultSet, finalizeConstruction, getConstructor, getData, getPropertyUtils, getSingleData, isAllowDuplicateKeys, isEnumCaseSensitive, isExplicitPropertyUtils, isWrappedToRootException, newInstance, newInstance, newInstance, newList, newMap, newSet, postponeMapFilling, postponeSetFilling, setAllowDuplicateKeys, setComposer, setEnumCaseSensitive, setPropertyUtils, setWrappedToRootException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Constructor

    public Constructor()

#### Constructor

    public Constructor(LoaderOptions loadingConfig)

#### Constructor

    public Constructor(Class<? extends Object> theRoot)

Create Constructor for the specified class as the root.

Parameters:
  `theRoot` - - the class (usually JavaBean) to be constructed

#### Constructor

    public Constructor(Class<? extends Object> theRoot,
               LoaderOptions loadingConfig)

#### Constructor

    public Constructor(TypeDescription theRoot)

#### Constructor

    public Constructor(TypeDescription theRoot,
               LoaderOptions loadingConfig)

#### Constructor

    public Constructor(TypeDescription theRoot,
               Collection<TypeDescription> moreTDs)

#### Constructor

    public Constructor(TypeDescription theRoot,
               Collection<TypeDescription> moreTDs,
               LoaderOptions loadingConfig)

#### Constructor

    public Constructor(String theRoot)
                throws ClassNotFoundException

Create Constructor for a class which does not have to be in the classpath or for a definition from a Spring ApplicationContext.

Parameters:
  `theRoot` - fully qualified class name of the root class (usually JavaBean)
Throws:
  `ClassNotFoundException` - if cannot be loaded by the classloader

#### Constructor

    public Constructor(String theRoot,
               LoaderOptions loadingConfig)
                throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

### Method Detail

#### getClassForNode

    protected Class<?> getClassForNode(Node node)

#### getClassForName

    protected Class<?> getClassForName(String name)
                                throws ClassNotFoundException

Throws:
  `ClassNotFoundException`